## kdelibs4support 5.113.0

=== debian/changelog ===
kdelibs4support (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:31 +0000

kdelibs4support (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:21 +0000

kdelibs4support (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:57:00 +0000

=== debian/control ===
Source: kdelibs4support
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.113.0~),
               kded5-dev (>= 5.113.0~),
               kgendesignerplugin (>= 5.113.0~),
               libintl-perl,
               libkf5auth-dev (>= 5.113.0~),
               libkf5completion-dev (>= 5.113.0~),
               libkf5config-dev (>= 5.113.0~),
               libkf5configwidgets-dev (>= 5.113.0~),
               libkf5crash-dev (>= 5.113.0~),
               libkf5dbusaddons-dev (>= 5.113.0~),
               libkf5doctools-dev (>= 5.113.0~),
               libkf5emoticons-dev (>= 5.113.0~),
               libkf5globalaccel-dev (>= 5.113.0~),
               libkf5guiaddons-dev (>= 5.113.0~),
               libkf5i18n-dev (>= 5.113.0~),
               libkf5iconthemes-dev (>= 5.113.0~),
               libkf5kio-dev (>= 5.113.0~),
               libkf5notifications-dev (>= 5.113.0~),
               libkf5parts-dev (>= 5.113.0~),
               libkf5service-dev (>= 5.113.0~),
               libkf5textwidgets-dev (>= 5.113.0~),
               libkf5unitconversion-dev (>= 5.113.0~),
               libkf5widgetsaddons-dev (>= 5.113.0~),
               libkf5windowsystem-dev (>= 5.113.0~),
               libkf5xmlgui-dev (>= 5.113.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libssl-dev,
               liburi-perl,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdelibs4support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
Rules-Requires-Root: no

Package: libkf5kdelibs4support-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains the data files used by kdelibs4support.

Package: libkf5kdelibs4support-dev
Section: libdevel
Architecture: any
Depends: kgendesignerplugin (>= 5.113.0~),
         kinit-dev (>= 5.113.0~),
         libkf5archive-dev (>= 5.113.0~),
         libkf5auth-dev (>= 5.113.0~),
         libkf5configwidgets-dev (>= 5.113.0~),
         libkf5coreaddons-dev (>= 5.113.0~),
         libkf5crash-dev (>= 5.113.0~),
         libkf5dbusaddons-dev (>= 5.113.0~),
         libkf5doctools-dev (>= 5.113.0~),
         libkf5emoticons-dev (>= 5.113.0~),
         libkf5globalaccel-dev (>= 5.113.0~),
         libkf5guiaddons-dev (>= 5.113.0~),
         libkf5iconthemes-dev (>= 5.113.0~),
         libkf5itemmodels-dev (>= 5.113.0~),
         libkf5kdelibs4support5 (= ${binary:Version}),
         libkf5kdelibs4support5-bin (= ${binary:Version}),
         libkf5notifications-dev (>= 5.113.0~),
         libkf5parts-dev (>= 5.113.0~),
         libkf5textwidgets-dev (>= 5.113.0~),
         libkf5unitconversion-dev (>= 5.113.0~),
         libkf5windowsystem-dev (>= 5.113.0~),
         libqt5svg5-dev (>= 5.15.2~),
         libqt5x11extras5-dev (>= 5.15.2~),
         libssl-dev,
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kde4support
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.
 .
 Contains development files for kde4support.
Breaks: libkf5holidays-dev (<< 1:5.54)

Package: libkf5kdelibs4support5
Architecture: any
Depends: libkf5kdelibs4support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
Multi-Arch: same
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.

Package: libkf5kdelibs4support5-bin
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains binaries and plugins from kdelibs4support.

## kdelibs4support 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KDELibs4Support VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(CMakeFindFrameworks)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport Designer)

find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DesignerPlugin ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Emoticons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5UnitConversion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KDED ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Auth ${KF_DEP_VERSION} REQUIRED)

if(WIN32)
    find_package(KDEWin REQUIRED)
endif()

if (NOT APPLE AND NOT WIN32)
    option(WITH_X11 "Build with X11 integration and session management" ON)
    if(WITH_X11)
        find_package(X11 REQUIRED)
        set(HAVE_X11 1)
    endif()
endif()
if (HAVE_X11)
  add_feature_info("X11 Session Management (libSM)" X11_SM_FOUND "Support for session management in KApplication")
  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
  find_package(XCB REQUIRED COMPONENTS XCB)
endif ()

if (APPLE)
    cmake_find_frameworks(CoreFoundation)
endif ()

include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDELIBS4SUPPORT
                                 VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h"
                                 PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
                                 SOVERSION 5)

# Remove default warning version from KDEFrameworkCompilerSettings, too much noise
# instead avoid any deprecation warnings (to what Qt respects its own flag)
# Setting QT_DISABLE_DEPRECATED_BEFORE & KF_DISABLE_DEPRECATED_BEFORE_AND_AT as below
# defaults those DEPRECATED_WARNINGS_SINCE to the same version -> no warnings
remove_definitions(
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_FOREACH)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_USE_QSTRINGBUILDER)
# TODO: use QT_USE_QSTRINGBUILDER instead of deprecated & undocumented QT_USE_FAST_OPERATOR_PLUS
add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
# ideally we would support QT_NO_KEYWORDS, but at least we can do this
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

# QUrl
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0)

# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
    -DKDELIBS4SUPPORT_DEPRECATED= # if KDELIBS4SUPPORT_DEPRECATED is already defined the other deprecated macros won't be defined
    -DKDELIBS4SUPPORT_DEPRECATED_NO_EXPORT=KDELIBS4SUPPORT_NO_EXPORT
    -DKDELIBS4SUPPORT_DEPRECATED_EXPORT=KDELIBS4SUPPORT_EXPORT
)

add_definitions(-DTRANSLATION_DOMAIN=\"kdelibs4support\")

add_executable(kf5-config kde-config.cpp )
ecm_mark_nongui_executable(kf5-config)

target_link_libraries(kf5-config KF5::CoreAddons KF5::I18n KF5::ConfigCore KF5::KDELibs4Support)
target_include_directories(kf5-config PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../..")

install(TARGETS kf5-config ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDELibs4Support")

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDELibs4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5KDELibs4SupportTargets.cmake
        NAMESPACE KF5::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support
        COMPONENT Devel)



#
# Compatibility file
#
set(CMAKECONFIG_COMPAT_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDE4Support")
if(BUILD_SHARED_LIBS)
    set(KDELibs4Support_LIB_TYPE SHARED)
else()
    set(KDELibs4Support_LIB_TYPE STATIC)
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDE4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    VERSION ${KF_VERSION}
    COMPATIBILITY AnyNewerVersion
)
install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
    COMPONENT Devel
)



ki18n_install(po)
kdoctools_install(po)
add_subdirectory(cmake)
add_subdirectory(data)
add_subdirectory(docs)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()


set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 90)
set (KDE_VERSION_RELEASE 00)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
# For git master, use this:
set (KDE_VERSION_STRING "${KDE_VERSION} (KDE Frameworks >= 20121130)")
# For a stable release, use this:
#set (KDE_VERSION_STRING "${KDE_VERSION}")

include(CreateKDELibsDependenciesFile.cmake)
set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDELibs4)

# Used in configure_file() and install(EXPORT)
set(KDE4_TARGET_PREFIX KDE4__)

################# install files #################

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/KDELibsDependencies.cmake
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/kde4_cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/Win32.Manifest.in
         DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

# run a script before installing the exports files which deletes previously installed
# configuration specific export files KDELibs4(Library|Tools)Targets-<config>.cmake
# if the main exports file KDELibs4(Library|Tools)Targets.cmake has changed. This makes sure
# that this main file doesn't include older and different configuration specific exports files,
# which might have a different set of targets or targets with different names.
# The code for installing the exports files will soon go into a macro. Alex
install(CODE "set(EXPORT_FILES KDELibs4LibraryTargets.cmake)"
        CODE "set(EXPORT_INSTALL_DIR \"${CMAKECONFIG_INSTALL_DIR}\")"
        SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/check_installed_exports_file.cmake" )
install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        NAMESPACE ${KDE4_TARGET_PREFIX}
        FILE KF5KDELibs4LibraryTargets.cmake
        COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (HAVE_X11 AND NOT X11_SM_FOUND)
  message(FATAL_ERROR "The X11 Session Management library (libSM) is required when building on X11.")
endif()

=== cmake/modules-tests/USB/CMakeLists.txt ===
include("${CMAKE_CURRENT_SOURCE_DIR}/../TestFindPackage.cmake")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../modules" )

test_find_package(USB  LIBUSB  INCLUDE_DIR LIBRARIES)

=== docs/kcontrol5/kcm_ssl/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol5/kcm_ssl)

=== src/solid-networkstatus/kded/CMakeLists.txt ===
########### next target ###############

set(kded_networkstatus_PART_SRCS
   networkstatus.cpp
   network.cpp
   systemstatusinterface.cpp
   wicdstatus.cpp
   wicdcustomtypes.cpp
)

find_package(NetworkManager 0.7.0)
set_package_properties(NetworkManager PROPERTIES DESCRIPTION "The NetworkManager headers"
                       URL "http://projects.gnome.org/NetworkManager"
                       TYPE OPTIONAL
                       PURPOSE "Needed for kded's networkstatus module"
                      )

if(NETWORKMANAGER_FOUND)
    message(STATUS "Adding in-process NetworkManager service-wart to kded module")
    set(kded_networkstatus_PART_SRCS ${kded_networkstatus_PART_SRCS} networkmanagerstatus.cpp)
    include_directories(${NETWORKMANAGER_INCLUDE_DIRS})
    add_definitions(-DNM_BACKEND_ENABLED)
endif()


# FIXME: Re-enable the above when:
# * QNTrack has been ported to Qt5
# * cmake/modules/FindQNtrack.cmake has been adapted to the Qt5 dependency

#find_package(QNtrack)
#set_package_properties(QNtrack PROPERTIES DESCRIPTION "Network status tracking library"
#                       URL "http://launchpad.net/ntrack"
#                       TYPE OPTIONAL
#                       PURPOSE "Provides data input for Solid network status"
#                      )
set(QNTRACK_FOUND FALSE) # Forced to false, see above FIXME

if(QNTRACK_FOUND)
    message(STATUS "Found QNtrack, will use it as a data input for Solid network status")
    set(kded_networkstatus_PART_SRCS ${kded_networkstatus_PART_SRCS} ntracknetworkstate.cpp)
    add_definitions(-DHAVE_QNTRACK)
else()
    message(STATUS "QNtrack not found.  Can be used as a data input to Solid network status.  See https://launchpad.net/ntrack")
endif()

include_directories(${QNTRACK_INCLUDE_DIR})
qt_add_dbus_adaptor(kded_networkstatus_PART_SRCS ../org.kde.Solid.Networking.Service.xml networkstatus.h NetworkStatusModule)

# we need one of the interfaces installed by kdelibs:
qt_add_dbus_adaptor(kded_networkstatus_PART_SRCS
        ../../solid/org.kde.Solid.Networking.Client.xml
        networkstatus.h NetworkStatusModule)


add_library(kded_networkstatus MODULE ${kded_networkstatus_PART_SRCS})
set_target_properties(kded_networkstatus PROPERTIES
    OUTPUT_NAME networkstatus
)
kcoreaddons_desktop_to_json(kded_networkstatus networkstatus.desktop SERVICE_TYPES kdedmodule.desktop)

target_link_libraries(kded_networkstatus KF5::DBusAddons KF5::Solid KF5::KDELibs4Support)

if(QNTRACK_FOUND)
   target_link_libraries(kded_networkstatus ${QNTRACK_LIBRARIES})
endif()

install(TARGETS kded_networkstatus DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== src/kssl/kssl/caroot/CMakeLists.txt ===



########### install files ###############

install( FILES ca-bundle.crt  DESTINATION  ${KDE_INSTALL_DATADIR_KF5}/kssl )

=== debian/changelog ===
kdelibs4support (5.115.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:51 +0200

kdelibs4support (5.115.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Upload to experimental after merge from master.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 20:28:37 +0200

kdelibs4support (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015446).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:31 +0100

kdelibs4support (5.107.0-5) unstable; urgency=medium

  * Team upload.
  * Update debian/libkf5kdelibs4support5t64.symbols to use {time_t} subst
    (closes: #1067563).
    - Build-depend on pkg-kde-tools 0.17.1 to make that possible.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 23:43:26 +0300

kdelibs4support (5.107.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Mar 2024 13:02:15 +0100

kdelibs4support (5.107.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Mar 2024 10:49:37 +0100

kdelibs4support (5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update symbols from buildlogs (Closes: #1065766).
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 09 Mar 2024 21:59:43 +0100

kdelibs4support (5.107.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062478

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 15:10:58 +0000

=== debian/control ===
Source: kdelibs4support
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               dpkg-dev (>= 1.22.5),
               extra-cmake-modules (>= 5.115.0~),
               kded5-dev (>= 5.115.0~),
               kgendesignerplugin (>= 5.115.0~),
               libintl-perl,
               libkf5auth-dev (>= 5.115.0~),
               libkf5completion-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5configwidgets-dev (>= 5.115.0~),
               libkf5crash-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5doctools-dev (>= 5.115.0~),
               libkf5emoticons-dev (>= 5.115.0~),
               libkf5globalaccel-dev (>= 5.115.0~),
               libkf5guiaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5notifications-dev (>= 5.115.0~),
               libkf5parts-dev (>= 5.115.0~),
               libkf5service-dev (>= 5.115.0~),
               libkf5textwidgets-dev (>= 5.115.0~),
               libkf5unitconversion-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libkf5xmlgui-dev (>= 5.115.0~),
               libnm-dev (>= 0.7.0~) [linux-any],
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libssl-dev,
               liburi-perl,
               libx11-dev,
               libxcb1-dev,
               pkg-kde-tools (>= 0.17.1~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdelibs4support
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdelibs4support
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdelibs4support.git
Rules-Requires-Root: no

Package: libkf5kdelibs4support-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains the data files used by kdelibs4support.

Package: libkf5kdelibs4support-dev
Section: libdevel
Architecture: any
Depends: kgendesignerplugin (>= 5.115.0~),
         kinit-dev (>= 5.82.0~),
         libkf5archive-dev (>= 5.82.0~),
         libkf5auth-dev (>= 5.115.0~),
         libkf5configwidgets-dev (>= 5.115.0~),
         libkf5coreaddons-dev (>= 5.82.0~),
         libkf5crash-dev (>= 5.115.0~),
         libkf5dbusaddons-dev (>= 5.115.0~),
         libkf5doctools-dev (>= 5.115.0~),
         libkf5emoticons-dev (>= 5.115.0~),
         libkf5globalaccel-dev (>= 5.115.0~),
         libkf5guiaddons-dev (>= 5.115.0~),
         libkf5iconthemes-dev (>= 5.115.0~),
         libkf5itemmodels-dev (>= 5.82.0~),
         libkf5kdelibs4support5-bin (= ${binary:Version}),
         libkf5kdelibs4support5t64 (= ${binary:Version}),
         libkf5notifications-dev (>= 5.115.0~),
         libkf5parts-dev (>= 5.115.0~),
         libkf5textwidgets-dev (>= 5.115.0~),
         libkf5unitconversion-dev (>= 5.115.0~),
         libkf5windowsystem-dev (>= 5.115.0~),
         libqt5svg5-dev (>= 5.15.2~),
         libqt5x11extras5-dev (>= 5.15.2~),
         libssl-dev,
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kde4support
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.
 .
 Contains development files for kde4support.

Package: libkf5kdelibs4support5-bin
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains binaries and plugins from kdelibs4support.

Package: libkf5kdelibs4support5t64
Provides: ${t64:Provides},
Replaces: libkf5kdelibs4support5,
Breaks: libkf5kdelibs4support5 (<< ${source:Version}),
Architecture: any
Depends: libkf5kdelibs4support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kdelibs4support5-bin (= ${binary:Version}),
Multi-Arch: same
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdelibs4support 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KDELibs4Support VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdelibs4support (5.116.0-1zneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 18 Jul 2025 03:11:43 +0000

kdelibs4support (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:38:37 +1000

kdelibs4support (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:23:39 +0000

kdelibs4support (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:18:07 +0000

kdelibs4support (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:59:04 +0000

kdelibs4support (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:40:50 +0000

kdelibs4support (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

kdelibs4support (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:22:33 +0000

kdelibs4support (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:13:18 +0000

kdelibs4support (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:03:50 +0000

kdelibs4support (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:35:30 +0000

kdelibs4support (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:54:03 +0000

kdelibs4support (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:16:54 +0000

kdelibs4support (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:22:36 +0000

kdelibs4support (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:28:48 +0000

kdelibs4support (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:50:56 +0000

kdelibs4support (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:52:25 +0000

kdelibs4support (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:00:35 +0000

kdelibs4support (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:16:53 +0000

kdelibs4support (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:19:55 +0000

kdelibs4support (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:57:13 +0000

kdelibs4support (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:27:16 +0000

kdelibs4support (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:08:23 +0000

kdelibs4support (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:24:14 +0000

kdelibs4support (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:20:36 +0000

kdelibs4support (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:26:38 +0000

kdelibs4support (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:56 +0000

kdelibs4support (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 19:12:05 +0000

kdelibs4support (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:30 +0000

kdelibs4support (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:17:39 +0000

kdelibs4support (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:24:14 +0000

kdelibs4support (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:15:47 +0000

kdelibs4support (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:09:21 +0000

kdelibs4support (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:11:35 +0000

kdelibs4support (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:06 +0000

kdelibs4support (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:12:23 +0000

kdelibs4support (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:03:45 +0000

kdelibs4support (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:01 +0000

kdelibs4support (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:39:49 +0000

kdelibs4support (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:24:58 +0000

kdelibs4support (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:14:56 +0000

kdelibs4support (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:27:14 +0000

kdelibs4support (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:47:59 +0000

kdelibs4support (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:40:04 +0000



=== debian/control ===
Source: kdelibs4support
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               kded5-dev (>= 5.51.0~),
               kgendesignerplugin (>= 5.51.0~),
               libintl-perl,
               libkf5completion-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5crash-dev (>= 5.51.0~),
               libkf5dbusaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5emoticons-dev (>= 5.51.0~),
               libkf5globalaccel-dev (>= 5.51.0~),
               libkf5guiaddons-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5notifications-dev (>= 5.51.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5textwidgets-dev (>= 5.51.0~),
               libkf5unitconversion-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               libnm-dev,
               libqt5svg5-dev (>= 5.8.0~),
               libqt5x11extras5-dev (>= 5.8.0~),
               libsm-dev,
               libssl-dev,
               liburi-perl,
               libx11-dev,
               network-manager-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.8.0~)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdelibs4support
Vcs-Git: https://invent.kde.org/neon/kde/kdelibs4support.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdelibs4support
Maintainer: Neon CI <neon@kde.org>

Package: libkf5kdelibs4support-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kolourpaint (<< 4:25.04.2), libkf5kdelibs4support5-data
Replaces: libkf5kdelibs4support5-data
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains the data files used by kdelibs4support.

Package: libkf5kdelibs4support-dev
Section: libdevel
Architecture: any
Depends: kgendesignerplugin (>= 5.51.0~),
         kinit-dev (>= 5.51),
         kross-dev (>= 5.51),
         libkf5configwidgets-dev (>= 5.51.0~),
         libkf5crash-dev (>= 5.51.0~),
         libkf5dnssd-dev (>= 5.51),
         libkf5doctools-dev (>= 5.51.0~),
         libkf5emoticons-dev (>= 5.51.0~),
         libkf5guiaddons-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5idletime-dev (>= 5.51),
         libkf5itemmodels-dev (>= 5.51),
         libkf5kcmutils-dev (>= 5.51),
         libkf5kdelibs4support5 (= ${binary:Version}),
         libkf5kdelibs4support5-bin (= ${binary:Version}),
         libkf5khtml-dev (>= 5.51),
         libkf5mediaplayer-dev (>= 5.51),
         libkf5newstuff-dev (>= 5.51),
         libkf5notifications-dev (>= 5.51.0~),
         libkf5notifyconfig-dev (>= 5.51),
         libkf5parts-dev (>= 5.51.0~),
         libkf5plotting-dev (>= 5.51),
         libkf5style-dev (>= 5.51),
         libkf5su-dev (>= 5.51),
         libkf5textwidgets-dev (>= 5.51.0~),
         libkf5threadweaver-dev (>= 5.51),
         libkf5unitconversion-dev (>= 5.51.0~),
         libkf5wallet-dev (>= 5.51),
         libkf5windowsystem-dev (>= 5.51.0~),
         libssl-dev,
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Description: development files for kde4support
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.
 .
 Contains development files for kde4support.
Breaks: libkf5holidays-dev (<< 1:5.51)

Package: libkf5kdelibs4support5
Architecture: any
Depends: libkf5kdelibs4support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
Multi-Arch: same
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.

Package: libkf5kdelibs4support5-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5kdelibs4support-data (<< 5.12.0~)
Replaces: libkf5kdelibs4support-data (<< 5.12.0~)
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains binaries and plugins from kdelibs4support.

## kdelibs4support 5.116.0+p24.04+vstable+git20251011.2342

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KDELibs4Support VERSION ${KF_VERSION})

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vstable+git20251011.2342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:42:09 +0000

kdelibs4support (5.116.0-2neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:38:37 +1000

## kdelibs4support 5.116.0+p24.04+vstable+git20251020.0536

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vstable+git20251020.0536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:36:29 +0000

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kolourpaint (<< 4:25.04.2), libkf5kdelibs4support5-data
+Breaks: kolourpaint (<< 4:25.04.3-1~), libkf5kdelibs4support5-data
 Replaces: libkf5kdelibs4support5-data
 Description: Porting aid from KDELibs4.
  This framework provides code and utilities to ease

=== debian/tests/control ===
Tests: testsuite
Depends: cmake,
         dbus (>= 1.8),
         debhelper,
         kded5,
         libkf5service-bin,
         openbox,
         plasma-workspace,
         xauth,
         xvfb,
         @
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/portingAids/kdelibs4support-([\d.]+)\.tar\.xz

## kdelibs4support 5.116.0+p24.04+vstable+git20251226.0249

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vstable+git20251226.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:49:42 +0000

## kdelibs4support 5.116.0+p24.04+vstable+git20251231.0519

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vstable+git20251231.0519-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:19:55 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20251009.0403

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20251009.0403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 04:03:13 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20251015.1741

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20251015.1741-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:42:05 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20251020.1302

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20251020.1302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:02:12 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20251124.1004

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20251124.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:04:41 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20251130.0042

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20251130.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:42:43 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20251224.0934

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20251224.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:34:51 +0000

## kdelibs4support 5.116.0+p24.04+vunstable+git20260105.1305

=== debian/changelog ===
kdelibs4support (5.116.0+p24.04+vunstable+git20260105.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:05:14 +0000
